Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.communication
Class Semaphore.Options

    java.lang.Object
      edu.wpi.first.wpilibj.communication.Semaphore.Options

Enclosing class:
  Semaphore

    public static class Semaphore.Options

extends Object

Options to create a semaphore with.

Constructor Summary
`Semaphore.Options()`

Method Summary
`void` | `setDeleteSafe(boolean delSafe)` Set whether or not the semaphore is delete safe.
`void` | `setErrorNotify(boolean errNot)` Set whether the semaphore should notify on an error.
`void` | `setInterruptable(boolean intable)` Set whether the semaphore is interruptable.
`void` | `setInversionSafe(boolean invSafe)` Set whether the semaphore is inversion safe.
`void` | `setPrioritySorted(boolean priority)` Set true to use a priority sorted queue, false to use first-in first-out

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Semaphore.Options

    public Semaphore.Options()

Method Detail

### setPrioritySorted

    public void setPrioritySorted(boolean priority)

  Set true to use a priority sorted queue, false to use first-in first-out

  Parameters:
    `priority` -

### setDeleteSafe

    public void setDeleteSafe(boolean delSafe)

  Set whether or not the semaphore is delete safe.

  Parameters:
    `delSafe` - True to make the semaphore delete safe.

### setInversionSafe

    public void setInversionSafe(boolean invSafe)

  Set whether the semaphore is inversion safe.

  Parameters:
    `invSafe` - True to set the semaphore to inversion safe.

### setErrorNotify

    public void setErrorNotify(boolean errNot)

  Set whether the semaphore should notify on an error.

  Parameters:
    `errNot` - True to set error notify.

### setInterruptable

    public void setInterruptable(boolean intable)

  Set whether the semaphore is interruptable.

  Parameters:
    `intable` - True allows this semaphore to be interrupted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"